Tensor Flow Keras

When we Install KNIME updates for Keras & Tensor flow will these packages automatically gets downloaded OR one has to have them installed before hand.

When ever I run any work flow based on KERAS I am getting the following ERROR message the screen shot I have attached . Request help to get this issue sorted out.ERROR MESSAGE DEEP LEARNING.docx (165.0 KB)

ModuleNotFoundError: No module named 'DLKerasTheanoNetworkType'

at org.knime.python2.util.PythonUtils$Misc.executeCancelable(PythonUtils.java:265)
at org.knime.python2.kernel.PythonKernel.executeCommandCancelable(PythonKernel.java:1314)
at org.knime.python2.kernel.PythonKernel.execute(PythonKernel.java:1246)
at org.knime.dl.python.core.DLPythonDefaultContext.executeInKernel(DLPythonDefaultContext.java:170)
at org.knime.dl.python.core.DLPythonAbstractCommands.getContext(DLPythonAbstractCommands.java:227)
... 19 more
Caused by: org.knime.python2.kernel.PythonIOException: No module named 'DLKerasTheanoNetworkType'
Traceback (most recent call last):
File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'DLKerasTheanoNetworkType'

at org.knime.python2.kernel.PythonKernel.executeCommand(PythonKernel.java:1303)
at org.knime.python2.kernel.PythonKernel.execute(PythonKernel.java:1231)
at org.knime.python2.kernel.PythonKernel.lambda$4(PythonKernel.java:1246)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
at java.lang.Thread.run(Thread.java:748)
2020-11-15 11:25:28,042 : WARN  : KNIME-Worker-18-Keras Network Learner 2:74 :  : Node : Keras Network Executor : 2:69 : No input columns selected. Try adding columns to the selection.

It looks like you are missing python libraries. Do you have the correct Python version/libraries installed?
Follow e.g. these guides:

2 Likes

@Chandra_S this thread might also be relevant to your task:

1 Like

Dear @Chandra_S,

Could you please let us know which version of KNIME Analytics Platform you are running (Help > About KNIME Analytics Platform in the first line). Have you upgraded from a previous version of KNIME Analytics Platform (for instance, 4.1.x) or is it a fresh installation?

Could you also please post a screenshot of your Python configuration: File > Preferences > KNIME > Python. Does it show any error messages? Also, could you please post a screenshot of your DL configuration (File > Preferences > KNIME > Python Deep Learning)?

If Python Deep Learning is currently set up to use the regular Python environments, I would suggest to follow Option 1 from the DL Integration Installation Guide and create an entirely new environment.

Best regards,
Stefan

1 Like

Hi @Chandra_S,

You mentioned TensorFlow, so I assume you want to use TensorFlow as the Keras back end (which should be the default), not Theano (which is mentioned in the error message, though), is that correct?

If so, could you – in addition to what has already been suggested in this thread – please check if:

  1. There is a (possibly hidden) folder named .keras in your home directory (so, at location: %USERPROFILE%\.keras)
  2. That folder contains a file named keras.json
  3. That file contains a line that reads "backend": "theano"

If that line exists, could you change it to: "backend": "tensorflow" and save the file?

Or, if the line, file, or folder do not exist, could you create the folder and/or file, and make sure the file contains the following text only (including the parentheses), and save it:

{ 
   "backend": "tensorflow" 
}

And check if the problem persists?

Marcel

2 Likes